#include <stdio.h>
#include <stdlib.h>
#include <math.h>

static const double PI=3.14159265358979323;
#define SCALE_FACTOR 10
#define SCALE (1<<SCALE_FACTOR)

int main(){
int COS[32];
int i;
FILE *fin;

fin=fopen("input.txt","w");
if(fin==NULL){
	printf("error\n");
	exit(-1);
  }

for(i=0;i<16;i++) {
    COS[i]= (1.0*SCALE *cos((1.0*PI*i)/16.0));
    COS[i+16]= (-1.0*SCALE*cos((1.0*PI*i)/16.0));
    fprintf(fin,"%d, ", COS[i]);
  }

for(i=16;i<32;i++) {
  fprintf(fin,"%d, ", COS[i]);
}
fclose(fin);
}
